Needs Update Rated 1 out of 5 stars

No longer compatible. Please update. Thank you!

This review is for a previous version of the add-on (1.4.24).